resource "aws_dynamodb_table" "JsonApiTable" {
    name = "JsonApiTable"
    read_capacity = 3
    write_capacity = 3
    hash_key = "ObjectType"
    range_key = "Id"

    attribute {
        name = "ObjectType"
        type = "S"
    }
    attribute {
        name = "Id"
        type = "N"
    }
}
