import Controller from '@ember/controller';
import { computed } from '@ember/object';
import { A } from '@ember/array';
import EmberObject from '@ember/object';
import <%=capitalizeEntityName%>Validations from "../../validations/<%=singularEntityName%>";
import { task } from "ember-concurrency";

export default Controller.extend({
  isAddingEntry: false,
  newEntry: EmberObject.create({<%=controllerInitEntity%>}),
  
  <%=capitalizeEntityName%>Validations,

<%=relationshipHandling%>

<%=controllerModelTable%>

  actions: {
    submit() {
      console.log("action submit");
    },
    deleteRecord (record) {
      console.log('record is '+ record);
      record.destroyRecord();
    }
  },
  submitEntry: task(function*(model) {
    yield model.save();
    let newEntity = this.store.createRecord('<%=singularEntityName%>',yield model.get('data'));
    yield newEntity.save();
    console.log("new entry of id "+newEntity.get('id')+" created");
    this.set('addEntryModal', false);
  })
});