import ENV from './../config/environment';
export default function() {
	this.namespace = '';
	if (!ENV.APP.proxy) {
		this.get('/todos');
		this.get('/todos/:id');
		this.delete('/todos/:id');
		this.patch('/todos/:id');
		this.post('/todos');
		this.get('/authorities');
		this.get('/authorities/:id');
		this.delete('/authorities/:id');
		this.patch('/authorities/:id');
		this.post('/authorities');
		this.get('/users');
		this.get('/users/:id');
		this.delete('/users/:id');
		this.patch('/users/:id');
		this.post('/users');
	} else {
		this.passthrough();
	}
}
