import Controller from '@ember/controller';
import { computed } from '@ember/object';
import { A } from '@ember/array';
import EmberObject from '@ember/object';
import TodoValidations from "../../validations/todo";
import { task } from "ember-concurrency";

export default Controller.extend({
  isAddingEntry: false,
  newEntry: EmberObject.create({title: '',completed: 'false',user: []}),
  
  TodoValidations,

	userList: computed('user', function() {
		this.store.findAll('user');
	}),

	title: null,
	completed: null,
	user: null,
todoTableColumns: computed(function() {
	var col = A([
		EmberObject.create({
			propertyName: "title",
			title: "title"
		}),
		EmberObject.create({
			propertyName: "completed",
			title: "completed"
		})]);
	col.pushObject({
		title: 'Delete',
		component: 'delete-row'
	});
	return col;	}),
todoTableContent: computed(function() {
	return this.get('todos');
}),

  actions: {
    submit() {
      console.log("action submit");
    },
    deleteRecord (record) {
      console.log('record is '+ record);
      record.destroyRecord();
    }
  },
  submitEntry: task(function*(model) {
    yield model.save();
    let newEntity = this.store.createRecord('todo',yield model.get('data'));
    yield newEntity.save();
    console.log("new entry of id "+newEntity.get('id')+" created");
    this.set('addEntryModal', false);
  })
});